use std::{net::IpAddr, path::PathBuf};

use clap::Parser;

#[allow(clippy::doc_markdown)]
#[derive(Debug, Parser)]
pub(crate) struct Cli {
    /// IP address to bind to.
    #[clap(long)]
    pub(crate) ip: IpAddr,
    /// Listen port.
    #[clap(long)]
    pub(crate) port: u16,
    /// Game database path (SQLite).
    #[clap(long)]
    pub(crate) db: PathBuf,
    /// Games folder.
    #[clap(long)]
    pub(crate) game_dir: PathBuf,
    /// Thumbnails folder.
    #[clap(long)]
    pub(crate) thumbs_dir: PathBuf,
}
